#ifndef P_NET_TCP4_H
#define P_NET_TCP4_H

#include <libporty/net/network.h>

int P_tcp4_listen(P_net_socket *sock, const char *loc_hostname, int loc_port, P_net_nonblock_t non_blocking, int backlog);
int P_tcp4_connect(P_net_socket *sock, const char *rem_hostname, int rem_port, const char *loc_hostname, int loc_port, P_net_nonblock_t non_blocking);

int P_tcp4_accept(P_net_socket *new_socket, P_net_socket listen_sock, unsigned long int *rem_ip, char **rem_host, int *rem_port, P_net_nonblock_t non_blocking);

#endif /* P_NET_TCP4_H */
