#include <stdlib.h>
#include <stdio.h>
#include <libporty/util/buf.h>
char *test_in[] = {
	"first line\n",
	"second",
	" line\n",
	"third line",
	"\n\n",
	"fourth line\nfifth line\nsixth line\n",
	"seventh line truncated",
	NULL
};

int main()
{
	P_buf_t *b;
	char **in;
	char *line;

	b = P_buf_init("\n");
	for(in = test_in; *in != NULL; in++) {
		P_buf_fill(b, *in);
		while((line = P_buf_get(b)) != NULL) {
			printf("-> '%s'\n", line);
			P_buf_free(line);
		}
	}
	return 0;
}
